---
layout: default
show_sidebar: false
---

{% assign sorted_projects = site.projects | sort:page.sort %}

<!-- Recupère la liste des tags "Domaine" (area) -->

{% assign areaArray = '' | split: ',' | sort_natural %}

{% for project in sorted_projects %}
  {% for area in project.area %}
    {% if area.check %}
      {% assign areaArray = areaArray | push: area.label | sort_natural %}
    {% endif %}
  {% endfor %}
{% endfor %}

{% assign uniqAreas = areaArray | uniq %}

{% assign listAreas = "Projet I3, Application mobile, Développement durable, Développement Web, Electronique, Mécanique, Objets connectés, Programmation, Robotique" | split: ", " %}

<!-- Recupère la liste des projets en fonction des domaines de l'URL -->
{% assign page_url = page.url %}


<!-- Affiches les domaines -->

<div class="content">
  <p class="subtitle is-6"><b>Domaine(s) :</b>
    <div class="field is-grouped is-grouped-multiline">
      <div class="control">
        <a href="../projets" class="tag is-rounded is-medium is-warning">Tout</a>
      </div>
      {% assign my_counter = 0 %}
      {% for area in uniqAreas %}
        <div class="control">
          <a  class="tag is-rounded is-medium is-info is-light" onclick="myFunction({{ my_counter }},{{ sorted_projects.size }})">{{ area }}</a>
        </div>
        {% assign my_counter = my_counter | plus: 1 %}
      {% endfor %}
    </div>
  </p>
</div>

<!-- CONTENT -->

<div class="columns is-multiline">

  <div class="column is-12">
    {{ page.content }}
  </div>

  {% assign projectID = 100 %}
  {% for project in sorted_projects %}
  {% assign areaID = 0 %}
    {% for area in uniqAreas %}
      
      {% for Project_area in project.area %}
        {% if area == Project_area %}
            {% assign display = true %}
        {% endif %}
      {% endfor %}


      {% if display == true %}
        <div  id="{{ projectID | plus: areaID }}" class="column is-4-desktop is-6-tablet">
          <a href="{{ project.url | relative_url }}">
            <div class="card">
              {% if project.image %}
                {% capture image-url %}{{ site.baseurl }}{{ project.url }}{{ project.image }}{% endcapture %}
                <div class="card-image">
                  <figure class="image is-4by3">
                    <img src="{{ image-url }}" alt="{{ project.title }}" />
                  </figure>
                </div>
              {% endif %}
              <div class="card-content">
                <p class="title is-4">{{ project.title }}</h2>
                <p class="subtitle is-6">{{ project.subtitle | truncate: 60 }}</p>  
              </div>
            </div>
          </a>
        </div>
      {% endif %}



      {% assign areaID = areaID | plus: 1 %}
      {% assign display = false %}
    {% endfor %}
    {% assign projectID = projectID | plus: 100 %}
  {% endfor %}
</div>



<script>
  function myFunction(areaID,NbProject) {
    for(let i = 1;i<= NbProject;i++ )
    {
      var x = document.getElementById((i*100)+areaID);
      if (x.style.display === "none") {
        x.style.display = "block";
      } else {
        x.style.display = "none";
      }
      console.log(x);
    }
    
  }
  </script>